package com.gic.store.service.impl;

import com.gic.store.dao.mapper.TabCityMapper;
import com.gic.store.dao.mapper.TabCountyMapper;
import com.gic.store.dao.mapper.TabProvinceMapper;
import com.gic.store.entity.TabCity;
import com.gic.store.entity.TabCounty;
import com.gic.store.entity.TabProvince;
import com.gic.store.service.ProvincesService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service("provincesService")
public class ProvincesServiceImpl implements ProvincesService {
    @Autowired
    private TabProvinceMapper tabProvinceMapper;
    @Autowired
    private TabCityMapper tabCityMapper;
    @Autowired
    private TabCountyMapper tabCountyMapper;

    @Override
    public List<TabProvince> selectAllProvince() {
        return this.tabProvinceMapper.selectAllProvince();
    }

    @Override
    public List<TabCity> selectAllCity() {
        return this.tabCityMapper.selectAllCity();
    }

    @Override
    public List<TabCounty> selectAllCounty() {
        return this.tabCountyMapper.selectAllCounty();
    }
}
